Dropped the python 3.6/3.7 in zed cycle testing runtime

In Zed cycle, we have dropped the python 3.6/3.7[1] testing
and its support.

[1] https://governance.openstack.org/tc/reference/runtimes/zed.html

Change-Id: I57fbd274c237a9f48820a13b123df64c028d34f4
changes/21/841821/1
Cai Hui 9 months ago
parent 467ed25f66
commit cd02688d89

@ -6,7 +6,7 @@ summary = Freezer - Backup as a Service User Interface
description_file = README.rst
home_page = https://github.com/openstack/freezer-web-ui
license = Apache-2
python_requires = >=3.6
python_requires = >=3.8
classifier =
Development Status :: 5 - Production/Stable
Environment :: OpenStack
@ -21,7 +21,6 @@ classifier =
Programming Language :: Python :: Implementation :: CPython
Programming Language :: Python :: 3 :: Only
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Topic :: Internet :: WWW/HTTP

@ -1,5 +1,5 @@
[tox]
envlist = py36,py38,py39,pep8,pylint,docs
envlist = py38,py39,pep8,pylint,docs
minversion = 2.0
skipsdist = True
@ -18,9 +18,6 @@ deps = -c{env:TOX_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/up
commands =
python manage.py test {posargs}
[testenv:py36]
basepython = python3.6
[testenv:py38]
basepython = python3.8

Loading…
Cancel
Save